Commit cb48ccef authored by Sören Tempel's avatar Sören Tempel
Browse files

main/msmtp: link against gnutls instead of openssl

Since version >= 1.8.0 using OpenSSL is discouraged, from NEWS:

	- Using OpenSSL is discouraged and may not be supported in the future.
	  Please use GnuTLS instead. The reasons are explained here:
	  https://marlam.de/msmtp/news/openssl-discouraged/

The linked website states that:

	 I don't work on it myself anymore, and the last time somebody
	 sent a patch was 8 years ago.

We don't want to depend on unmaintained code pieces for TLS support.
parent beea5a10
......@@ -2,13 +2,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=msmtp
pkgver=1.8.1
pkgrel=0
pkgrel=1
pkgdesc="SMTP client with a sendmail compatible interface"
url="https://marlam.de/msmtp/"
arch="all"
license="GPL-3.0-or-later"
options="!check" # no test suite
makedepends="gettext-dev openssl-dev"
makedepends="gettext-dev gnutls-dev"
subpackages="$pkgname-doc $pkgname-lang $pkgname-vim:vim:noarch"
source="https://marlam.de/msmtp/releases/$pkgname-$pkgver.tar.xz"
......@@ -21,7 +21,7 @@ build() {
--sysconfdir=/etc \
--mandir=/usr/share/man \
--localstatedir=/var \
--with-ssl=openssl
--with-ssl=gnutls
make
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment